RelayAPI

Create Ad Report

POST
/v1/ads/reports
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Header Parameters

idempotency-key*string
Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/ads/reports" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "ad_account_id": "string",    "request": {      "data_level": "AUCTION_AD",      "dimensions": [        "string"      ],      "end_date": "2019-08-24",      "metrics": [        "string"      ],      "platform": "tiktok",      "start_date": "2019-08-24"    }  }'
{  "ad_account_id": "string",  "completed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "id": "string",  "last_error": "string",  "platform": "meta",  "provider_job_id": "string",  "request": {    "data_level": "AUCTION_AD",    "dimensions": [      "string"    ],    "end_date": "2019-08-24",    "filters": [],    "metrics": [      "string"    ],    "output_format": "CSV_DOWNLOAD",    "platform": "tiktok",    "report_type": "BASIC",    "start_date": "2019-08-24"  },  "result_expires_at": "2019-08-24T14:15:22Z",  "row_count": 0,  "status": "pending",  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "string"}

Found something wrong? Help us improve this page.